<?php
namespace SabaiApps\Directories\Component\Display\Label;

use SabaiApps\Directories\Component\Entity\Model\Bundle;
use SabaiApps\Directories\Component\Entity\Type\IEntity;

interface ILabel {

	public function displayLabelInfo( Bundle $bundle, $key = null );
	public function displayLabelSettingsForm( Bundle $bundle, array $settings, array $parents = array() );
	public function displayLabelText( Bundle $bundle, IEntity $entity, array $settings );
}
